From f4c7be12bd1161b20b979c8bd817097a1e25e1bf Mon Sep 17 00:00:00 2001
From: Tom Gurion <nagasaki45@gmail.com>
Date: Tue, 15 Sep 2020 13:12:22 +0100
Subject: [PATCH] Stop using deprecated beets.util.confit. Fix #10

---
 beetsplug/follow.py | 4 ++--
 setup.py            | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/beetsplug/follow.py b/beetsplug/follow.py
index e9b6b7f..ce4c540 100644
--- a/beetsplug/follow.py
+++ b/beetsplug/follow.py
@@ -16,7 +16,7 @@

 from beets import config, dbcore, ui
 from beets.plugins import BeetsPlugin
-from beets.util import confit
+import confuse


 PLUGIN_HOME = 'https://github.com/nolsto/beets-follow/'
@@ -43,7 +43,7 @@ def wrapper(*args, **kwargs):
                 password_mgr.add_password(None, MUSPY_API, email, password)
                 # Password manager doesn't need userid, but API calls will.
                 config['follow']['userid'].get()
-            except confit.NotFoundError as e:
+            except confuse.NotFoundError as e:
                 msg = '%s. Please see %s' % (e, PLUGIN_HOME + '#muspy-configuration')
                 raise ui.UserError(msg)
         return func(*args, **kwargs)
diff --git a/setup.py b/setup.py
index 7ea3070..ca77f20 100644
--- a/setup.py
+++ b/setup.py
@@ -27,5 +27,5 @@
     ],
     keywords='beets muspy',
     packages=['beetsplug'],
-    install_requires=['beets>=1.4.3'],
+    install_requires=['beets>=1.4.3', 'confuse'],
 )
